SystemOrganization addCategory: #'DripfeedIt-Webapplication'!

WAFileLibrary subclass: #DFIEatWellFileLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

WAComponent subclass: #DFIEatwellFooterView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellFooterView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 20:40'!
renderContentOn: html

  html html: '<footer>
        <p>&copy; High Octane SPRL 2013</p>
      </footer>'! !

WAComponent subclass: #DFIEatwellHomeView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellHomeView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 17:31'!
renderContentOn: html! !

WAComponent subclass: #DFIEatwellLoginView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellLoginView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:29'!
login
    self session login: (self request: 'Enter your name:')! !

!DFIEatwellLoginView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:29'!
logout
    self session logout! !

!DFIEatwellLoginView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:30'!
renderContentOn: html
	self session isLoggedIn
		ifTrue: [html text: 'Logged in as: ' , self session username , ' '.
			html anchor class: 'btn';
				
				callback: [self logout];
				
				with: [html italic class: 'icon-off'.
					html text: 'Logout']]
		ifFalse: [
			html form class: 'navbar-form pull-right';
				with: [ 
					html textInput class: 'span2'; twbsPlaceholderText: 'Email'.
					html textInput class: 'span2'; twbsPlaceholderText: 'Password'.
	         			html submitButton class: 'btn'; callback: [self login];  with: 'Sign in'.    
					 ].		
				]! !

WAComponent subclass: #DFIEatwellNavbarView
	instanceVariableNames: 'loginView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellNavbarView commentStamp: '<historical>' prior: 0!
<form class="navbar-form pull-right">
              <input class="span2" type="text" placeholder="Email">
              <input class="span2" type="password" placeholder="Password">
              <button type="submit" class="btn">Sign in</button>
            </form>
!

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 20:34'!
children 
	^Array with: loginView! !

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 20:35'!
initialize 
	super initialize.
	loginView := DFIEatwellLoginView new.! !

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:24'!
renderContentOn: html
  html html: '
<div class="navbar navbar-inverse navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar">X</span>
            <span class="icon-bar">Y</span>
            <span class="icon-bar">Z</span>
          </button>
          <a class="brand" href="#">EatWell</a>
          <div class="nav-collapse collapse">
            <ul class="nav">
              <li class="active"><a href="#">Home</a></li>
              <li><a href="#about">About</a></li>
              <li><a href="#contact">Contact</a></li>
              <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="nav-session"></i>Settings<b class="caret"></b></a>
                <ul class="dropdown-menu">
                  <li><a href="#">Edit Profile</a></li>
			    <li class="divider"></li>
                  <li><a href="#">Help</a></li>
                  <li class="divider"></li>
                  <li><a href="#">Settings</a></li>
                  <li><a href="#">Sign out</a></li>
                </ul>
              </li>
            </ul>'.

	html render: loginView.

	html html: '</div><!!--/.nav-collapse -->
        </div>
      </div>
    </div>' ! !

WAComponent subclass: #DFIEatwellView
	instanceVariableNames: 'mealsView navbarView footerView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellView commentStamp: '<historical>' prior: 0!
WAAdmin register: DFIEatwellComponent asApplicationAt: 'eatwell'.!

!DFIEatwellView class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:02'!
description
	^'EatWell Application'! !

!DFIEatwellView class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:07'!
initialize
	"Autoregisters the component"
	"self initialize"
    | registration |
	
	WAAdmin unregister: 'eatwell'.
	registration := (WAAdmin register: self asApplicationAt: 'eatwell').
	registration addLibrary: JQDevelopmentLibrary.
	registration addLibrary: TWBSDevelopmentLibrary.! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:05'!
add
	mealsView := DFIMealsView new.! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 17:36'!
children 
	^Array with: mealsView with: navbarView with: footerView! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 17:36'!
initialize
	super initialize.
	
	 navbarView := DFIEatwellNavbarView new.
	 footerView := DFIEatwellFooterView new.! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:34'!
learnMore
	
  ! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 17:29'!
listMeal! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/3/2013 23:07'!
registerMeal
	self shouldBeImplemented.! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:23'!
renderCommandsOn: html
	html anchor class: 'btn';
		callback: [ self registerMeal ];
		with: 'register meal'.
	html space.
	html anchor class: 'btn';
		callback: [  self showMeals ];
		with: 'show meals'.
	html space.
	html anchor class: 'btn';
	    callback: [ self show: (WAInspector current on: self session) ];
	    with: 'Inspect Session'
		! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:32'!
renderContentOn: html
	html render: navbarView.
	self session isLoggedIn
		ifTrue: [ 
			self renderDateOn: html.
			self renderCommandsOn: html.	"self renderSamplesOn: html."
			html render: mealsView ]
		ifFalse: [ 
			self renderIntroOn: html.
			"html render: 'Please login'"
			 ].
	html render: footerView! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/3/2013 23:26'!
renderDateOn: html
	html
		paragraph: [ 
			html render: 'today: '.
			html render: Date today ]! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:32'!
renderIntroOn: html
html div
		class: 'hero-unit';
		with: [ 
					html heading level1 with: 'EatWell'.
					html paragraph with: 'Moving to top shape one meal at a time.'.
					html
						paragraph: [ 
							html anchor
								class: 'btn btn-primary btn-large';
								callback: [ self learnMore ];
								with: 'Learn more' ] ].
	! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/3/2013 23:25'!
renderListOn: html
	html orderedList
		with: [ 
			html listItem: 'Item 1'.
			html listItem: 'Item 2' ]! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:08'!
renderLoginOn: html
    self session isLoggedIn
        ifTrue: [
            html text: 'Logged in as: ' , self session username , ' '.
            html anchor class: 'btn';
                callback: [ self logout ];
                with: [
				html italic class: 'icon-off'.
				html text:'Logout' ]
			]
        ifFalse: [
            html anchor class: 'btn';
                callback: [ self login ];
                with: 'Login']! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:50'!
renderSamplesOn: html
	self renderListOn: html.
	self renderTableOn: html.
	html horizontalRule! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/3/2013 23:24'!
renderTableOn: html
	^ html
		table: [ 
			html
				tableRow: [ 
					html tableHeading: 'Calendars'.
					html tableData: '1/1/2006'.
					html tableData: 'Track events, holidays etc' ].
			html
				tableRow: [ 
					html tableHeading: 'Todo lists'.
					html tableData: '5/1/2006'.
					html tableData: 'Keep track of all the things to remember to do.' ].
			html
				tableRow: [ 
					html tableHeading: 'Shopping carts'.
					html tableData: '8/1/2006'.
					html tableData: 'Enable your customers to shop online.' ] ]! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:13'!
showMeals
	mealsView := DFIMealsView new.! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 21:14'!
updateRoot: anHtmlRoot
    super updateRoot: anHtmlRoot.
"    DFIEatWellFileLibrary default updateRoot: anHtmlRoot."
   "anHtmlRoot stylesheet url: 'http://seaside.st/styles/main.css' "
"    anHtmlRoot stylesheet url: (DFIEatWellFileLibrary urlOf: #mainCss)."
	anHtmlRoot title: 'Eat Well'
! !

WAComponent subclass: #DFIMealsView
	instanceVariableNames: 'nutrientsView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:05'!
children
  	^Array with: nutrientsView! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:15'!
initialize
	super initialize.
"	self addDecoration: (WAWindowDecoration new title:'MEALS')"! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:18'!
renderContentOn: html
   html heading level2 with: 'All Meals'.
   self session user days do: [ :day |
            self renderDay: day on: html ] ! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:19'!
renderDay: day on: html
	html heading level3 with: ('Meals of ', day date asString).
	self renderMeals: day on: html! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:38'!
renderFood: food on: html

	html render: food name.
	html space.
	html anchor
		callback: [ self showNutrients ];
		with: 'nutrients'.
	html break.
		
	
! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:22'!
renderMeal: meal on: html


	| details |
	details := 'Meal @', meal hour asString, ':', meal minutes asString, ' weighing: ', meal weight asString, ' grams'.
	html heading level4 with: details.

	self renderMealComposition: meal on: html ! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:38'!
renderMealComposition: meal on: html
    html heading level5 with: 'Composition'.

	html
		table class: 'table table-striped table-hover table-bordered'; with: [
			html tableRow: [ 
				html tableHeading: 'Quantity'.
				html tableHeading: 'Food'.
				html tableHeading: 'Actions' ].
			meal composition do: [ :mealDetail |
			html tableRow: [ 
					html tableData: mealDetail quantity asString.
					html tableData: mealDetail food name.
					html tableData: [ 
						html anchor
							callback: [  self showNutrients ];
							with: 'nutrients'
						 ]
				]
		 	]    
	]    
 

! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:42'!
renderMeals: day on: html
	day meals
		do: [ :meal | 
			self renderMeal: meal on: html.
]! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:48'!
showNutrients
	self inform: 'Not yet done but soon will'.
    ! !

WAComponent subclass: #DFINutrientsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

WASession subclass: #DFISession
	instanceVariableNames: 'user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 13:55'!
database
  ^DFIUsers default
 ! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:50'!
isLoggedIn
    ^ user isNil not! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 23:33'!
login: aString

	| lookedUpUser |
	lookedUpUser := (self database items select: [ :item | item userid = aString ]). 
	(lookedUpUser size = 1) ifTrue: [  user :=  lookedUpUser first].! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 14:05'!
logout
    user := nil.
   self flag: #FIXME.
	"self expire"! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:59'!
unregistered
    super unregistered.
    user := nil! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:50'!
user
    ^ user! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 23:28'!
username
    ^ user username! !

Object subclass: #DFIVarious
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIVarious commentStamp: '<historical>' prior: 0!
"Basic"
Gofer new
	squeaksource: 'Seaside31';
	package: 'Grease-Core';
	package: 'Grease-Pharo20-Core';
	package: 'Grease-Tests-Core';
	package: 'Grease-Tests-Pharo20-Core';
	package: 'Seaside-Core';
	package: 'Seaside-Pharo20-Core';
	package: 'Seaside-Tests-Core';
	package: 'Seaside-Tests-UTF8';
	package: 'Seaside-Tests-Pharo20-Core';
	package: 'Seaside-Canvas';
	package: 'Seaside-Pharo-Canvas';
	package: 'Seaside-Tests-Canvas';
	package: 'Seaside-Session';
	package: 'Seaside-Tests-Session';
	package: 'Seaside-Component';
	package: 'Seaside-Tests-Component';
	package: 'Seaside-RenderLoop';
	package: 'Seaside-Tests-RenderLoop';
	package: 'Seaside-Tools-Core';
	package: 'Seaside-Widgets';
	package: 'Seaside-Environment';
	package: 'Seaside-Pharo-Environment';
	package: 'Seaside-Tests-Environment';
	load.

"Traditional"
Gofer new
	squeaksource: 'Seaside31';
	package: 'Seaside-Tests-Functional';
	package: 'Seaside-Tests-Pharo-Functional';
	package: 'Seaside-Pharo-Continuation';
	package: 'Seaside-Tests-Pharo-Continuation';
	package: 'Seaside-Flow';
	package: 'Seaside-Pharo-Flow';
	package: 'Seaside-Tests-Flow';
	package: 'Seaside-Tools-Web';
	package: 'Seaside-Pharo20-Tools-Web';
	package: 'Seaside-Tests-Tools-Web';
	package: 'Seaside-Development';
	package: 'Seaside-Pharo-Development';
	package: 'Seaside-Tests-Development';
	package: 'Seaside-Tests-Pharo-Development';
	package: 'Seaside-Examples';
	package: 'Seaside-Tests-Examples';
	load.

"RSS"
Gofer new
	squeaksource: 'Seaside31';
	package: 'RSS-Core';
	package: 'RSS-Tests-Core';
	package: 'RSS-Examples';
	load.

"Javascript"
Gofer new
	squeaksource: 'Seaside31';
	package: 'Javascript-Core';
	package: 'Seaside-JSON-Core';
	package: 'Seaside-Pharo-JSON-Core';
	package: 'Javascript-Pharo20-Core';
	package: 'Javascript-Tests-Core';
	package: 'Javascript-Tests-Pharo-Core';
	package: 'Seaside-Tests-JSON';
	package: 'JQuery-Core';
	package: 'JQuery-Tests-Core';
	package: 'JQuery-JSON';
	package: 'JQuery-Tests-JSON';
	package: 'JQuery-UI';
	package: 'JQuery-Tests-UI';
	package: 'Prototype-Core';
	package: 'Prototype-Tests-Core';
	package: 'Scriptaculous-Core';
	package: 'Scriptaculous-Tests-Core';
	package: 'Scriptaculous-Components';
	package: 'Scriptaculous-Tests-Components';
	package: 'Comet-Core';
	package: 'Comet-Examples';
	package: 'Comet-Pharo-Core';
	package: 'Comet-Tests-Core';
	load.

"Other Packages"
Gofer new
	squeaksource: 'Seaside31';
	package: 'Seaside-Welcome';
	package: 'Seaside-Pharo-Welcome';
	package: 'Seaside-Tests-Welcome';
	package: 'Seaside-HTML5';
	package: 'Seaside-Tests-HTML5';
	package: 'Seaside-InternetExplorer';
	package: 'Seaside-Tests-InternetExplorer';
	package: 'Seaside-Email';
	package: 'Seaside-Tests-Email';
	package: 'Seaside-Pharo-Email';
	package: 'Seaside-Tests-Pharo-Email';
	load.

"REST"
Gofer new
	squeaksource: 'Seaside31';
	package: 'Seaside-REST-Core';
	package: 'Seaside-Pharo-REST-Core';
	package: 'Seaside-Tests-REST-Core';
	load.


"This does not yet load an adaptor. 
You can go find ZnZincServerAdaptor in the Zinc repository, like this (updating all Zn):"

Gofer new
	url: 'http://mc.stfx.eu/ZincHTTPComponents';
	package: 'Zinc-HTTP';
	package: 'Zinc-Tests';
	package: 'Zinc-FileSystem';
	package: 'Zinc-Seaside';
	load.

"And finally,"

ZnZincStaticServerAdaptor startOn: 8081.
ZnZincStaticServerAdaptor stop.

"The method String>>includesSubString: has been deprecated.
Bad spelled, the good one is #includesSubstring:

Select Proceed to continue, or close this window to cancel the operation."


Gofer it
    url: 'http://ss3.gemstone.com/ss/TwitterBootstrap';
    package: 'ConfigurationOfTwitterBootstrap';
    load.

"A bit too hash for my current image..."

"So, open Monticello and load only what you need"


(ConfigurationOfPhriak project version: #stable) load.

Gofer it
	url: 'http://www.smalltalkhub.com/mc/NicolasPetton/Oak/main';
	package: 'ConfigurationOfOak';	
	load.
	
	
(ConfigurationOfOak project version: #stable) load.!
DFIEatwellView initialize!
